### Method

# Qmi MessageWdsSetEventReportInput ref

since: 1.18

#### Declaration [src]

    QmiMessageWdsSetEventReportInput*
    qmi_message_wds_set_event_report_input_ref (
      QmiMessageWdsSetEventReportInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.18

#### Return value

Type: `QmiMessageWdsSetEventReportInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.